Subject: bug#30190: 27.0.50; term run in line mode shows user passwords

From: Stefan Monnier <[email-masked]>
Date: Wed, 18 Jul 2018 21:58:48 -0400

> Of course, nothing.  I imagine it's for historical reasons; probably
> someone introduced ?* at some point in term.el and nobody cared about it.

I think this ?* came before the ?. of read-passwd, actually.

> Let's be realistic, these kind of changes usually are not welcome.
> Not a problem though.  It's very minor issue and many people would love ?.

Could be.  I personally really don't have a preference, but I can
definitely see that ?* might be more legible, and hence preferable for
"rational" reasons rather than a mere preference.

And I'm having trouble imagining people being emotionally tied to ?.

        Stefan